;; Copyright (c) 2004 Lars Frydn, Johan Sundberg, Anders Friberg, Roberto Bresin
;; For information on usage and redistribution, and for a DISCLAIMER OF ALL
;; WARRANTIES, see the files, "README.txt" and "DIRECTORMUSICES.LICENSE.txt", in this distribution.


(in-package "DM")


;;-------- INPUT -----------------

;; read score
(read-active-score-from-file "./scores/polyphonic/blues-for-alice3.mus")
(init-music)


;;-------- RULE PALETTES ---------

;;open a rule palette
(load "./rulepalettes/swing.pal")

;;apply the rule palette without sync
(rule-apply-list (get-dm-var 'all-rules))


;;---------OUTPUT ----------------

;;save performance
(save-performance-fpath "./performances/cparker.per")

;;save performance in MIDI file type 1
(save-performance-midifile1-fpath "./midifiles/cparker-performed-MIDI1.mid")

;;save nominal (dead-pan) version in MIDI file type 1
(reset-music)
(save-performance-midifile1-fpath "./midifiles/cparker-nominal-MIDI1.mid")

