;; Copyright (c) 2004 Lars Frydn, Johan Sundberg, Anders Friberg, Roberto Bresin
;; For information on usage and redistribution, and for a DISCLAIMER OF ALL
;; WARRANTIES, see the files, "README.txt" and "DIRECTORMUSICES.LICENSE.txt", in this distribution.


(in-package "DM")


;;-------- INPUT -----------------

;; read score
(read-active-score-from-file "./scores/ekor.mus")
(init-music)


;;-------- RULE PALETTES ---------

;;open a rule palette
(load "./rulepalettes/default.pal")

;;apply the rule palette with melodic sync
(apply-rule-list-simple-mel-sync (get-dm-var 'all-rules))


;;---------OUTPUT ----------------

;;save performance
(save-performance-fpath "./performances/ekor.per")

;;save performance in MIDI file type 1
(save-performance-midifile1-fpath "./midifiles/ekor-performed-MIDI1.mid")

;;save nominal (dead-pan) version in MIDI file type 1
(reset-music)
(save-performance-midifile1-fpath "./midifiles/ekor-nominal-MIDI1.mid")

