;; Copyright (c) 2004 Lars Frydn, Johan Sundberg, Anders Friberg, Roberto Bresin
;; For information on usage and redistribution, and for a DISCLAIMER OF ALL
;; WARRANTIES, see the files, "README.txt" and "DIRECTORMUSICES.LICENSE.txt", in this distribution.


;;
;; ***********************************************
;;   This file is the loader for Director Musices
;; ***********************************************
;;
 
(format t "
/---------------------------------------------------------------|
| *** Director Musices - Automatic music performance system *** |
|                      Copyright (C) 1999-2004                  |
|                            version 2.5                        |
|  Lars Frydn, Johan Sundberg, Anders Friberg, Roberto Bresin  |
|---------------------------------------------------------------|
| This program is free software licensed under the terms of the |
| GNU General Public License (GNU GPL) as published by the Free |
| Software Foundation. You should have received a copy of the   |
| GNU GPL along with this program: look in */dm/COPYING.txt     |
|---------------------------------------------------------------/")


(defpackage :dm
	(:use :common-lisp-user :common-lisp))
    
(in-package :dm)


(defun translate-logical-pathnames-PD ()
;; In the next raw, instead of //home//robmod//dm// you should write //home//YOUR_HOME_DIRECTORY//dm
  (setf (logical-pathname-translations "dm") `(("**;*.*.*" "//home//roberto//dm//**//*.*"))))


(translate-logical-pathnames-PD)

(load ".//lib//make-dm2-cmulisp.lsp")

(in-package :dm)
(load "start.lsp")









